
Hammer CLI - Feature #2922

Add commands for managing Roles

08/13/2013 11:03 AM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Foreman commands (obsolete)   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  In Kanboard:  

Pull request:  Red Hat JIRA:  

Team Backlog:    

Description

(https://bugzilla.redhat.com/show_bug.cgi?id=1046206)

Related issues:

Related to Hammer CLI - Bug #4335: Hammer cannot update user roles Duplicate 02/13/2014

Related to Foreman - Bug #6532: API for permission related operations lacks s... Closed 07/09/2014

Has duplicate Hammer CLI - Feature #4400: roles missing in hammer CLI Duplicate 02/20/2014

Blocked by Foreman - Feature #3817: As a user I want to set user permissions ... Closed 12/04/2013

Associated revisions

Revision a1cc911b - 07/09/2014 03:53 AM - Tomas Strachota 

Fixes #2922 and #4004 - commands for managing roles, filters, permissions and usergroups

Revision 8d2529ad - 07/09/2014 05:23 AM - Tomas Strachota 

Refs #2922 - tests updated to use apidoc export for v1.6

History

#1 - 08/20/2013 08:55 AM - Tomáš Strachota

- Target version changed from 1.3.0 to 1.4.0

#2 - 10/16/2013 03:42 PM - Greg Sutcliffe

- Target version deleted (1.4.0)

#3 - 10/16/2013 04:12 PM - Dominic Cleal

- Project changed from Foreman to Hammer CLI

- Category deleted (44)

#4 - 01/13/2014 04:43 PM - Tomáš Strachota

- Blocked by Feature #3817: As a user I want to set user permissions using API added

#5 - 01/20/2014 01:12 PM - Dominic Cleal

- Description updated

#6 - 02/20/2014 01:05 PM - Dominic Cleal

- Has duplicate Feature #4400: roles missing in hammer CLI added

#7 - 02/20/2014 01:05 PM - Dominic Cleal

- Related to Bug #4335: Hammer cannot update user roles added
#8 - 04/02/2014 01:50 PM - Bryan Kearney

Also look at https://bugzilla.redhat.com/show_bug.cgi?id=1083553 and https://bugzilla.redhat.com/show_bug.cgi?id=1083492 as well please.

#9 - 04/24/2014 12:05 PM - Tomáš Strachota

- Target version set to 1.8.3

#10 - 05/19/2014 12:49 PM - Anonymous

- Target version deleted (1.8.3)

#11 - 06/23/2014 10:59 AM - Tomáš Strachota

- Category set to Foreman commands (obsolete)

- Status changed from New to Assigned

- Assignee set to Tomáš Strachota

- Target version set to 1.8.1

#12 - 07/04/2014 06:55 AM - Tomáš Strachota

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/hammer-cli-foreman/pull/135

#13 - 07/07/2014 07:19 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#14 - 07/09/2014 04:13 AM - Tomáš Strachota

- Related to Bug #6532: API for permission related operations lacks some functionality added

#15 - 07/15/2014 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-foreman|a1cc911ba74375e05fc465bf7bbb51a73adeb8e8.

#16 - 02/06/2015 04:40 AM - Anonymous

Spam deleted by administrator.
